## NautilusPropertyPage

NautilusPropertyPage

## Functions

NautilusPropertyPage * | nautilus_property_page_new ()

## Properties

GtkWidget * | label | Read / Write
gchar * | name | Read / Write / Construct Only
GtkWidget * | page | Read / Write

## Types and Values

| NautilusPropertyPageDetails
struct | NautilusPropertyPage

## Object Hierarchy

        GObject
        ╰── NautilusPropertyPage

## Description

## Functions

### nautilus_property_page_new ()

    NautilusPropertyPage *
    nautilus_property_page_new (const char *name,
                                GtkWidget *label,
                                GtkWidget *page);

Creates a new NautilusPropertyPage from page_widget.

#### Parameters

name | the identifier for the property page |
label | the user-visible label of the property page |
page | the property page to display |

#### Returns

a newly created NautilusPropertyPage

## Types and Values

### NautilusPropertyPageDetails

    typedef struct _NautilusPropertyPageDetails NautilusPropertyPageDetails;

### struct NautilusPropertyPage

    struct NautilusPropertyPage;

## Property Details

### The `“label”` property

      “label”                    GtkWidget *

Label widget to display in the notebook tab.

Flags: Read / Write

### The `“name”` property

      “name”                     gchar *

Name of the page.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“page”` property

      “page”                     GtkWidget *

Widget for the property page.

Flags: Read / Write